Geopaparazzi: problemi import basemap WMS

classic Classic list List threaded Threaded
38 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Geopaparazzi: problemi import basemap WMS

nformica
Salve,
sto cercando di caricare delle basemap WMS con Geopaparazzi 5.5.5 (su
Android 6.0).
Ma qualunque URL di servizio WMS metto, nonostante mi appaiono
correttamente i suoi layer, quando faccio "import" mi da sempre errore
!!
Premetto che ho testato i servizi WMS con altro client e funzionano
correttamente.

Avete qualche suggerimento ?
Oppure c'è qualche altro modo per caricare i WMS senza usare l' Import ?

Saluti
Nino
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
Che versione usi ?
Anni fa feci delle prove per usare geopaparazzi con i nostri wms e
funzionava.
Da allora non ho più guardato, ma non penso che sia arretrato.
Prova a variare il version e il formato della immagine JPG vs PNG.


Il Sab 26 Mag 2018, 09:12 nino formica <[hidden email]> ha scritto:

> Salve,
> sto cercando di caricare delle basemap WMS con Geopaparazzi 5.5.5 (su
> Android 6.0).
> Ma qualunque URL di servizio WMS metto, nonostante mi appaiono
> correttamente i suoi layer, quando faccio "import" mi da sempre errore
> !!
> Premetto che ho testato i servizi WMS con altro client e funzionano
> correttamente.
>
> Avete qualche suggerimento ?
> Oppure c'è qualche altro modo per caricare i WMS senza usare l' Import ?
>
> Saluti
> Nino
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

nformica
Ciao Andrea,

come ho scritto prima, uso Geopaparazzi 5.5.5.
Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e ho
anche impostato a mano un file .mapurl per WMS seguendo le indicazioni del
manuale. Ma niente, quando lo seleziono come basemap, non si vede nulla!
Per capire se è un problema mio, sarebbe utile avere un file .mapurl
certamente funzionante, così da poterlo provare.
Magari provo a chiedere direttamente a A. Antonello

Saluti
Nino


--
Sent from: http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

stefano campus
Administrator
potrebbe dipendere dalla versione del WMS?

s.

--
Sent from: http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
In reply to this post by nformica
Intendevo il version del wms.
È un parametro di invocazione della getmap.

Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:

> Ciao Andrea,
>
> come ho scritto prima, uso Geopaparazzi 5.5.5.
> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e ho
> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni del
> manuale. Ma niente, quando lo seleziono come basemap, non si vede nulla!
> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> certamente funzionante, così da poterlo provare.
> Magari provo a chiedere direttamente a A. Antonello
>
> Saluti
> Nino
>
>
> --
> Sent from:
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

nformica
Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
QGIS) che sono servizi funzionanti.
In ogni caso su Geopaparazzi non li visualizzi.


Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:

> Intendevo il version del wms.
> È un parametro di invocazione della getmap.
>
> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
>
>> Ciao Andrea,
>>
>> come ho scritto prima, uso Geopaparazzi 5.5.5.
>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e ho
>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni del
>> manuale. Ma niente, quando lo seleziono come basemap, non si vede nulla!
>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
>> certamente funzionante, così da poterlo provare.
>> Magari provo a chiedere direttamente a A. Antonello
>>
>> Saluti
>> Nino
>>
>>
>> --
>> Sent from:
>> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
>> _______________________________________________
>> [hidden email]
>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> Questa e' una lista di discussione pubblica aperta a tutti.
>> I messaggi di questa lista non hanno relazione diretta con le posizioni
>> dell'Associazione GFOSS.it.
>> 796 iscritti al 28/12/2017
>
>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
Il problema di compatibilità di version eventualmebte sarebbe  sul client
(geopaparazzi), non sul server wms che li supporta usualmente tutti.
Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
consente di impostarlo inseriscono nella URL di connessione.

Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente. Ricordo
che si doveva impostare un file che andava in qualche modo copiato in una
cartella dello smartphone e da cui geopaparazzi lo leggeva

A.


Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha scritto:

> Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
> QGIS) che sono servizi funzionanti.
> In ogni caso su Geopaparazzi non li visualizzi.
>
>
> Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:
>
>> Intendevo il version del wms.
>> È un parametro di invocazione della getmap.
>>
>> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
>>
>>> Ciao Andrea,
>>>
>>> come ho scritto prima, uso Geopaparazzi 5.5.5.
>>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e
>>> ho
>>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni
>>> del
>>> manuale. Ma niente, quando lo seleziono come basemap, non si vede nulla!
>>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
>>> certamente funzionante, così da poterlo provare.
>>> Magari provo a chiedere direttamente a A. Antonello
>>>
>>> Saluti
>>> Nino
>>>
>>>
>>> --
>>> Sent from:
>>> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
>>> _______________________________________________
>>> [hidden email]
>>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>>> Questa e' una lista di discussione pubblica aperta a tutti.
>>> I messaggi di questa lista non hanno relazione diretta con le posizioni
>>> dell'Associazione GFOSS.it.
>>> 796 iscritti al 28/12/2017
>>
>>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
In reply to this post by nformica
Ci sono novità?
Ho riscontrato gli stessi problemi con il servizio WMS della Regione Lazio
per l'acquisizione delle CTR scala 1:5000.
Inserendo il seguente URL in "GetCapabilities URL"
http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
Geopaparazzi ti indirizza regolarmente al servizio WMS della Regione Lazio,
quindi, cliccando sull'icona a forma di "frecce che ruotano" posta a destra
di dove si inserisce l'URL, si apre regolarmente la lista dei "Available WMS
Layers". Da qui, con un segno di spunta si sceglie il layer che si vorrebbe
visionare (CTR scala 1 a 5000, IGM scala 1 a 25000, Ortofoto volo del 2000,
ecc.) ...ma, quale scegli scegli, ...si ha sempre il messaggio di errore "An
error occurred while retrieving the WMS base URL".
Preciso che, nello stesso momento, lo stesso servizio WMS funziona
regolarmente con QGIS, quindi non è un problema del sistema WMS della
Regione Lazio ma di Geopaparazzi.

--
Sent from: http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
In reply to this post by Andrea Peri
Ci sono novità con gli import basemap WMS in Geopaparazzi? Qualcuno ha
risolto il problema?

Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <[hidden email]>
ha scritto:

> Il problema di compatibilità di version eventualmebte sarebbe  sul client
> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> consente di impostarlo inseriscono nella URL di connessione.
>
> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente. Ricordo
> che si doveva impostare un file che andava in qualche modo copiato in una
> cartella dello smartphone e da cui geopaparazzi lo leggeva
>
> A.
>
>
> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha scritto:
>
> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
> > QGIS) che sono servizi funzionanti.
> > In ogni caso su Geopaparazzi non li visualizzi.
> >
> >
> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:
> >
> >> Intendevo il version del wms.
> >> È un parametro di invocazione della getmap.
> >>
> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> >>
> >>> Ciao Andrea,
> >>>
> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e
> >>> ho
> >>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni
> >>> del
> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> nulla!
> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> >>> certamente funzionante, così da poterlo provare.
> >>> Magari provo a chiedere direttamente a A. Antonello
> >>>
> >>> Saluti
> >>> Nino
> >>>
> >>>
> >>> --
> >>> Sent from:
> >>>
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> >>> _______________________________________________
> >>> [hidden email]
> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> >>> I messaggi di questa lista non hanno relazione diretta con le posizioni
> >>> dell'Associazione GFOSS.it.
> >>> 796 iscritti al 28/12/2017
> >>
> >>
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
In reply to this post by Andrea Peri
Cortesemente, puoi scrivermi un esempio pratico di come impostare la
stringa per inserire nella URL di connessione che la versione del WMS deve
essere 1.0.0?
Se può servirti, nello specifico, la URL che vorrei applicare è:
http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
Grazie

Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <[hidden email]>
ha scritto:

> Il problema di compatibilità di version eventualmebte sarebbe  sul client
> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> consente di impostarlo inseriscono nella URL di connessione.
>
> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente. Ricordo
> che si doveva impostare un file che andava in qualche modo copiato in una
> cartella dello smartphone e da cui geopaparazzi lo leggeva
>
> A.
>
>
> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha scritto:
>
> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
> > QGIS) che sono servizi funzionanti.
> > In ogni caso su Geopaparazzi non li visualizzi.
> >
> >
> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:
> >
> >> Intendevo il version del wms.
> >> È un parametro di invocazione della getmap.
> >>
> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> >>
> >>> Ciao Andrea,
> >>>
> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e
> >>> ho
> >>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni
> >>> del
> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> nulla!
> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> >>> certamente funzionante, così da poterlo provare.
> >>> Magari provo a chiedere direttamente a A. Antonello
> >>>
> >>> Saluti
> >>> Nino
> >>>
> >>>
> >>> --
> >>> Sent from:
> >>>
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> >>> _______________________________________________
> >>> [hidden email]
> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> >>> I messaggi di questa lista non hanno relazione diretta con le posizioni
> >>> dell'Associazione GFOSS.it.
> >>> 796 iscritti al 28/12/2017
> >>
> >>
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Antonello
Ciao Marco,
avevo risposto tempo fa alla stessa domanda in lista geopaparazzi. Per
motivi di fretta incollo lo stesso messaggio:
--------------
one mapurl I made time ago that comes from the same source (it might even
be the same), is the following mapurl file:

url=
http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS_v1.3/raster/IGM_25000.map&?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&LAYERS=CB.IGM25000&SRS=EPSG:4326&FORMAT=image/png&BBOX=XXX,YYY,XXX,YYY&WIDTH=256&HEIGHT=256
minzoom=11
maxzoom=22
center= 12.65 41.35
type=wms
format=png
defaultzoom=17
bounds=6.6 35.5 18.7 47.2
description=CB.IGM25000
mbtiles=wmslayers/_IGM25000.mbtiles

I tested it a minute ago and it works. As you can see it retrieves the
1.1.1 version, not sure if that is the issue.

I quickly tested also the import from WMS importer of your url. It doesn't
work for me also. I gave a quick look and I see that the layer name is
different, the bounds are missing and the center coordinates are inverted.
This looks very weird to me. I am afraid right now I don't have time to
look at it, but if you able to understand what exactly is giving these
problems, please let us know, so it get's simpler to fix.
----------------

Ciao,
Andrea





On Tue, Jul 10, 2018 at 9:08 AM Marco Spaziani <[hidden email]> wrote:

>
> Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> stringa per inserire nella URL di connessione che la versione del WMS deve
> essere 1.0.0?
> Se può servirti, nello specifico, la URL che vorrei applicare è:
> http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> Grazie
>
> Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <[hidden email]>
> ha scritto:
>
> > Il problema di compatibilità di version eventualmebte sarebbe  sul client
> > (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> > Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> > consente di impostarlo inseriscono nella URL di connessione.
> >
> > Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente. Ricordo
> > che si doveva impostare un file che andava in qualche modo copiato in una
> > cartella dello smartphone e da cui geopaparazzi lo leggeva
> >
> > A.
> >
> >
> > Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha scritto:
> >
> > > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
> > > QGIS) che sono servizi funzionanti.
> > > In ogni caso su Geopaparazzi non li visualizzi.
> > >
> > >
> > > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:
> > >
> > >> Intendevo il version del wms.
> > >> È un parametro di invocazione della getmap.
> > >>
> > >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> > >>
> > >>> Ciao Andrea,
> > >>>
> > >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> > >>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e
> > >>> ho
> > >>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni
> > >>> del
> > >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> > nulla!
> > >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> > >>> certamente funzionante, così da poterlo provare.
> > >>> Magari provo a chiedere direttamente a A. Antonello
> > >>>
> > >>> Saluti
> > >>> Nino
> > >>>
> > >>>
> > >>> --
> > >>> Sent from:
> > >>>
> > http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> > >>> _______________________________________________
> > >>> [hidden email]
> > >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > >>> Questa e' una lista di discussione pubblica aperta a tutti.
> > >>> I messaggi di questa lista non hanno relazione diretta con le posizioni
> > >>> dell'Associazione GFOSS.it.
> > >>> 796 iscritti al 28/12/2017
> > >>
> > >>
> > _______________________________________________
> > [hidden email]
> > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > Questa e' una lista di discussione pubblica aperta a tutti.
> > I messaggi di questa lista non hanno relazione diretta con le posizioni
> > dell'Associazione GFOSS.it.
> > 796 iscritti al 28/12/2017
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
Grazie !!!!

Il giorno mar 10 lug 2018 alle ore 09:21 andrea antonello <
[hidden email]> ha scritto:

> Ciao Marco,
> avevo risposto tempo fa alla stessa domanda in lista geopaparazzi. Per
> motivi di fretta incollo lo stesso messaggio:
> --------------
> one mapurl I made time ago that comes from the same source (it might even
> be the same), is the following mapurl file:
>
> url=
>
> http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS_v1.3/raster/IGM_25000.map&?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&LAYERS=CB.IGM25000&SRS=EPSG:4326&FORMAT=image/png&BBOX=XXX,YYY,XXX,YYY&WIDTH=256&HEIGHT=256
> minzoom=11
> <http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/WMS_v1.3/raster/IGM_25000.map&?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&LAYERS=CB.IGM25000&SRS=EPSG:4326&FORMAT=image/png&BBOX=XXX,YYY,XXX,YYY&WIDTH=256&HEIGHT=256minzoom=11>
> maxzoom=22
> center= 12.65 41.35
> type=wms
> format=png
> defaultzoom=17
> bounds=6.6 35.5 18.7 47.2
> description=CB.IGM25000
> mbtiles=wmslayers/_IGM25000.mbtiles
>
> I tested it a minute ago and it works. As you can see it retrieves the
> 1.1.1 version, not sure if that is the issue.
>
> I quickly tested also the import from WMS importer of your url. It doesn't
> work for me also. I gave a quick look and I see that the layer name is
> different, the bounds are missing and the center coordinates are inverted.
> This looks very weird to me. I am afraid right now I don't have time to
> look at it, but if you able to understand what exactly is giving these
> problems, please let us know, so it get's simpler to fix.
> ----------------
>
> Ciao,
> Andrea
>
>
>
>
>
> On Tue, Jul 10, 2018 at 9:08 AM Marco Spaziani <[hidden email]>
> wrote:
> >
> > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> > stringa per inserire nella URL di connessione che la versione del WMS
> deve
> > essere 1.0.0?
> > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > Grazie
> >
> > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> [hidden email]>
> > ha scritto:
> >
> > > Il problema di compatibilità di version eventualmebte sarebbe  sul
> client
> > > (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> > > Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> > > consente di impostarlo inseriscono nella URL di connessione.
> > >
> > > Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> Ricordo
> > > che si doveva impostare un file che andava in qualche modo copiato in
> una
> > > cartella dello smartphone e da cui geopaparazzi lo leggeva
> > >
> > > A.
> > >
> > >
> > > Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> scritto:
> > >
> > > > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per
> es con
> > > > QGIS) che sono servizi funzionanti.
> > > > In ogni caso su Geopaparazzi non li visualizzi.
> > > >
> > > >
> > > > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> scritto:
> > > >
> > > >> Intendevo il version del wms.
> > > >> È un parametro di invocazione della getmap.
> > > >>
> > > >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha
> scritto:
> > > >>
> > > >>> Ciao Andrea,
> > > >>>
> > > >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> > > >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> png) e
> > > >>> ho
> > > >>> anche impostato a mano un file .mapurl per WMS seguendo le
> indicazioni
> > > >>> del
> > > >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> > > nulla!
> > > >>> Per capire se è un problema mio, sarebbe utile avere un file
> .mapurl
> > > >>> certamente funzionante, così da poterlo provare.
> > > >>> Magari provo a chiedere direttamente a A. Antonello
> > > >>>
> > > >>> Saluti
> > > >>> Nino
> > > >>>
> > > >>>
> > > >>> --
> > > >>> Sent from:
> > > >>>
> > >
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> > > >>> _______________________________________________
> > > >>> [hidden email]
> > > >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > >>> Questa e' una lista di discussione pubblica aperta a tutti.
> > > >>> I messaggi di questa lista non hanno relazione diretta con le
> posizioni
> > > >>> dell'Associazione GFOSS.it.
> > > >>> 796 iscritti al 28/12/2017
> > > >>
> > > >>
> > > _______________________________________________
> > > [hidden email]
> > > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > Questa e' una lista di discussione pubblica aperta a tutti.
> > > I messaggi di questa lista non hanno relazione diretta con le posizioni
> > > dell'Associazione GFOSS.it.
> > > 796 iscritti al 28/12/2017
> > _______________________________________________
> > [hidden email]
> > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > Questa e' una lista di discussione pubblica aperta a tutti.
> > I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> > 796 iscritti al 28/12/2017
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

nformica
In reply to this post by Marco
Ciao Marco,
il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
WMS 1.3.0) e non ci sono riuscito.
Nessun problema invece con WMS 1.1.1.
Comunque Andrea Antonello ti può confermare o meno.

Saluti
Nino
Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
<[hidden email]> ha scritto:

>
> Cortesemente, puoi scrivermi un esempio pratico di come impostare la stringa per inserire nella URL di connessione che la versione del WMS deve essere 1.0.0?
> Se può servirti, nello specifico, la URL che vorrei applicare è:
> http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> Grazie
>
> Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <[hidden email]> ha scritto:
>>
>> Il problema di compatibilità di version eventualmebte sarebbe  sul client
>> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
>> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
>> consente di impostarlo inseriscono nella URL di connessione.
>>
>> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente. Ricordo
>> che si doveva impostare un file che andava in qualche modo copiato in una
>> cartella dello smartphone e da cui geopaparazzi lo leggeva
>>
>> A.
>>
>>
>> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha scritto:
>>
>> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es con
>> > QGIS) che sono servizi funzionanti.
>> > In ogni caso su Geopaparazzi non li visualizzi.
>> >
>> >
>> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha scritto:
>> >
>> >> Intendevo il version del wms.
>> >> È un parametro di invocazione della getmap.
>> >>
>> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
>> >>
>> >>> Ciao Andrea,
>> >>>
>> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
>> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg, png) e
>> >>> ho
>> >>> anche impostato a mano un file .mapurl per WMS seguendo le indicazioni
>> >>> del
>> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede nulla!
>> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
>> >>> certamente funzionante, così da poterlo provare.
>> >>> Magari provo a chiedere direttamente a A. Antonello
>> >>>
>> >>> Saluti
>> >>> Nino
>> >>>
>> >>>
>> >>> --
>> >>> Sent from:
>> >>> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
>> >>> _______________________________________________
>> >>> [hidden email]
>> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> >>> Questa e' una lista di discussione pubblica aperta a tutti.
>> >>> I messaggi di questa lista non hanno relazione diretta con le posizioni
>> >>> dell'Associazione GFOSS.it.
>> >>> 796 iscritti al 28/12/2017
>> >>
>> >>
>> _______________________________________________
>> [hidden email]
>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> Questa e' una lista di discussione pubblica aperta a tutti.
>> I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
>> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
Peccato

Il giorno mar 10 lug 2018 alle ore 10:59 nino formica <[hidden email]>
ha scritto:

> Ciao Marco,
> il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
> perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
> WMS 1.3.0) e non ci sono riuscito.
> Nessun problema invece con WMS 1.1.1.
> Comunque Andrea Antonello ti può confermare o meno.
>
> Saluti
> Nino
> Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
> <[hidden email]> ha scritto:
> >
> > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> stringa per inserire nella URL di connessione che la versione del WMS deve
> essere 1.0.0?
> > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > Grazie
> >
> > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> [hidden email]> ha scritto:
> >>
> >> Il problema di compatibilità di version eventualmebte sarebbe  sul
> client
> >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> >> consente di impostarlo inseriscono nella URL di connessione.
> >>
> >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> Ricordo
> >> che si doveva impostare un file che andava in qualche modo copiato in
> una
> >> cartella dello smartphone e da cui geopaparazzi lo leggeva
> >>
> >> A.
> >>
> >>
> >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> scritto:
> >>
> >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es
> con
> >> > QGIS) che sono servizi funzionanti.
> >> > In ogni caso su Geopaparazzi non li visualizzi.
> >> >
> >> >
> >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> scritto:
> >> >
> >> >> Intendevo il version del wms.
> >> >> È un parametro di invocazione della getmap.
> >> >>
> >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> >> >>
> >> >>> Ciao Andrea,
> >> >>>
> >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> png) e
> >> >>> ho
> >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
> indicazioni
> >> >>> del
> >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> nulla!
> >> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> >> >>> certamente funzionante, così da poterlo provare.
> >> >>> Magari provo a chiedere direttamente a A. Antonello
> >> >>>
> >> >>> Saluti
> >> >>> Nino
> >> >>>
> >> >>>
> >> >>> --
> >> >>> Sent from:
> >> >>>
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> >> >>> _______________________________________________
> >> >>> [hidden email]
> >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> >> >>> I messaggi di questa lista non hanno relazione diretta con le
> posizioni
> >> >>> dell'Associazione GFOSS.it.
> >> >>> 796 iscritti al 28/12/2017
> >> >>
> >> >>
> >> _______________________________________________
> >> [hidden email]
> >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >> Questa e' una lista di discussione pubblica aperta a tutti.
> >> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> >> 796 iscritti al 28/12/2017
>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Antonello
Qualcuno ha idea del perche' non riusciamo a scaricare l'immagine?
Avrei bisogno di un link funzionante con 1.3.0 per vedere cosa non sta
funzionando.

Con un link alla mano, mi metto volentieri a vedere cosa succede in
geopap, che invece in un browser mi produce l'immagine.


Ciao,
Andrea



On Tue, Jul 10, 2018 at 11:24 AM Marco Spaziani
<[hidden email]> wrote:

>
> Peccato
>
> Il giorno mar 10 lug 2018 alle ore 10:59 nino formica <[hidden email]>
> ha scritto:
>
> > Ciao Marco,
> > il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
> > perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
> > WMS 1.3.0) e non ci sono riuscito.
> > Nessun problema invece con WMS 1.1.1.
> > Comunque Andrea Antonello ti può confermare o meno.
> >
> > Saluti
> > Nino
> > Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
> > <[hidden email]> ha scritto:
> > >
> > > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> > stringa per inserire nella URL di connessione che la versione del WMS deve
> > essere 1.0.0?
> > > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > > Grazie
> > >
> > > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> > [hidden email]> ha scritto:
> > >>
> > >> Il problema di compatibilità di version eventualmebte sarebbe  sul
> > client
> > >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> > >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> > >> consente di impostarlo inseriscono nella URL di connessione.
> > >>
> > >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> > Ricordo
> > >> che si doveva impostare un file che andava in qualche modo copiato in
> > una
> > >> cartella dello smartphone e da cui geopaparazzi lo leggeva
> > >>
> > >> A.
> > >>
> > >>
> > >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> > scritto:
> > >>
> > >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es
> > con
> > >> > QGIS) che sono servizi funzionanti.
> > >> > In ogni caso su Geopaparazzi non li visualizzi.
> > >> >
> > >> >
> > >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> > scritto:
> > >> >
> > >> >> Intendevo il version del wms.
> > >> >> È un parametro di invocazione della getmap.
> > >> >>
> > >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> > >> >>
> > >> >>> Ciao Andrea,
> > >> >>>
> > >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> > >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> > png) e
> > >> >>> ho
> > >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
> > indicazioni
> > >> >>> del
> > >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> > nulla!
> > >> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> > >> >>> certamente funzionante, così da poterlo provare.
> > >> >>> Magari provo a chiedere direttamente a A. Antonello
> > >> >>>
> > >> >>> Saluti
> > >> >>> Nino
> > >> >>>
> > >> >>>
> > >> >>> --
> > >> >>> Sent from:
> > >> >>>
> > http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> > >> >>> _______________________________________________
> > >> >>> [hidden email]
> > >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> > >> >>> I messaggi di questa lista non hanno relazione diretta con le
> > posizioni
> > >> >>> dell'Associazione GFOSS.it.
> > >> >>> 796 iscritti al 28/12/2017
> > >> >>
> > >> >>
> > >> _______________________________________________
> > >> [hidden email]
> > >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > >> Questa e' una lista di discussione pubblica aperta a tutti.
> > >> I messaggi di questa lista non hanno relazione diretta con le posizioni
> > dell'Associazione GFOSS.it.
> > >> 796 iscritti al 28/12/2017
> >
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
I nostri wma sono tutti impostati per accettare anche 1.3.0

Che poi l 1.3.0 ha maggiori informazioni e permette un uso più sofisticato
rispetto agli atri.
Ad esempio la scala di accensione.
Nell 1.3.0 è nota , negli altri va dedotta dallo scalehint .


Il Mar 10 Lug 2018, 11:29 andrea antonello <[hidden email]> ha
scritto:

> Qualcuno ha idea del perche' non riusciamo a scaricare l'immagine?
> Avrei bisogno di un link funzionante con 1.3.0 per vedere cosa non sta
> funzionando.
>
> Con un link alla mano, mi metto volentieri a vedere cosa succede in
> geopap, che invece in un browser mi produce l'immagine.
>
>
> Ciao,
> Andrea
>
>
>
> On Tue, Jul 10, 2018 at 11:24 AM Marco Spaziani
> <[hidden email]> wrote:
> >
> > Peccato
> >
> > Il giorno mar 10 lug 2018 alle ore 10:59 nino formica <
> [hidden email]>
> > ha scritto:
> >
> > > Ciao Marco,
> > > il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
> > > perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
> > > WMS 1.3.0) e non ci sono riuscito.
> > > Nessun problema invece con WMS 1.1.1.
> > > Comunque Andrea Antonello ti può confermare o meno.
> > >
> > > Saluti
> > > Nino
> > > Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
> > > <[hidden email]> ha scritto:
> > > >
> > > > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> > > stringa per inserire nella URL di connessione che la versione del WMS
> deve
> > > essere 1.0.0?
> > > > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > > > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > > > Grazie
> > > >
> > > > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> > > [hidden email]> ha scritto:
> > > >>
> > > >> Il problema di compatibilità di version eventualmebte sarebbe  sul
> > > client
> > > >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> > > >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> > > >> consente di impostarlo inseriscono nella URL di connessione.
> > > >>
> > > >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> > > Ricordo
> > > >> che si doveva impostare un file che andava in qualche modo copiato
> in
> > > una
> > > >> cartella dello smartphone e da cui geopaparazzi lo leggeva
> > > >>
> > > >> A.
> > > >>
> > > >>
> > > >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> > > scritto:
> > > >>
> > > >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo
> (per es
> > > con
> > > >> > QGIS) che sono servizi funzionanti.
> > > >> > In ogni caso su Geopaparazzi non li visualizzi.
> > > >> >
> > > >> >
> > > >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> > > scritto:
> > > >> >
> > > >> >> Intendevo il version del wms.
> > > >> >> È un parametro di invocazione della getmap.
> > > >> >>
> > > >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha
> scritto:
> > > >> >>
> > > >> >>> Ciao Andrea,
> > > >> >>>
> > > >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> > > >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> > > png) e
> > > >> >>> ho
> > > >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
> > > indicazioni
> > > >> >>> del
> > > >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si
> vede
> > > nulla!
> > > >> >>> Per capire se è un problema mio, sarebbe utile avere un file
> .mapurl
> > > >> >>> certamente funzionante, così da poterlo provare.
> > > >> >>> Magari provo a chiedere direttamente a A. Antonello
> > > >> >>>
> > > >> >>> Saluti
> > > >> >>> Nino
> > > >> >>>
> > > >> >>>
> > > >> >>> --
> > > >> >>> Sent from:
> > > >> >>>
> > >
> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
> > > >> >>> _______________________________________________
> > > >> >>> [hidden email]
> > > >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> > > >> >>> I messaggi di questa lista non hanno relazione diretta con le
> > > posizioni
> > > >> >>> dell'Associazione GFOSS.it.
> > > >> >>> 796 iscritti al 28/12/2017
> > > >> >>
> > > >> >>
> > > >> _______________________________________________
> > > >> [hidden email]
> > > >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > >> Questa e' una lista di discussione pubblica aperta a tutti.
> > > >> I messaggi di questa lista non hanno relazione diretta con le
> posizioni
> > > dell'Associazione GFOSS.it.
> > > >> 796 iscritti al 28/12/2017
> > >
> > _______________________________________________
> > [hidden email]
> > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > Questa e' una lista di discussione pubblica aperta a tutti.
> > I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> > 796 iscritti al 28/12/2017
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
In reply to this post by Andrea Antonello
A questa pagina trovi la lista di tutti i nostri wms.
http://www.regione.toscana.it/-/geoscopio-wms

E trovi anche un link er scaricare un xml caricabile su qgis per impostarli
tutti in automatico.
Puoi anche copiarli da li' dentro.

Ti metto il link esplicito per comodita'.

http://www502.regione.toscana.it/geoscopio/servizi/qgis/settaggi_wms.zip


Il giorno 10 luglio 2018 11:28, andrea antonello <[hidden email]
> ha scritto:

> Qualcuno ha idea del perche' non riusciamo a scaricare l'immagine?
> Avrei bisogno di un link funzionante con 1.3.0 per vedere cosa non sta
> funzionando.
>
> Con un link alla mano, mi metto volentieri a vedere cosa succede in
> geopap, che invece in un browser mi produce l'immagine.
>
>
> Ciao,
> Andrea
>
>
>
> On Tue, Jul 10, 2018 at 11:24 AM Marco Spaziani
> <[hidden email]> wrote:
> >
> > Peccato
> >
> > Il giorno mar 10 lug 2018 alle ore 10:59 nino formica <
> [hidden email]>
> > ha scritto:
> >
> > > Ciao Marco,
> > > il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
> > > perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
> > > WMS 1.3.0) e non ci sono riuscito.
> > > Nessun problema invece con WMS 1.1.1.
> > > Comunque Andrea Antonello ti può confermare o meno.
> > >
> > > Saluti
> > > Nino
> > > Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
> > > <[hidden email]> ha scritto:
> > > >
> > > > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> > > stringa per inserire nella URL di connessione che la versione del WMS
> deve
> > > essere 1.0.0?
> > > > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > > > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > > > Grazie
> > > >
> > > > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> > > [hidden email]> ha scritto:
> > > >>
> > > >> Il problema di compatibilità di version eventualmebte sarebbe  sul
> > > client
> > > >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> > > >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> > > >> consente di impostarlo inseriscono nella URL di connessione.
> > > >>
> > > >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> > > Ricordo
> > > >> che si doveva impostare un file che andava in qualche modo copiato
> in
> > > una
> > > >> cartella dello smartphone e da cui geopaparazzi lo leggeva
> > > >>
> > > >> A.
> > > >>
> > > >>
> > > >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> > > scritto:
> > > >>
> > > >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo
> (per es
> > > con
> > > >> > QGIS) che sono servizi funzionanti.
> > > >> > In ogni caso su Geopaparazzi non li visualizzi.
> > > >> >
> > > >> >
> > > >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> > > scritto:
> > > >> >
> > > >> >> Intendevo il version del wms.
> > > >> >> È un parametro di invocazione della getmap.
> > > >> >>
> > > >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha
> scritto:
> > > >> >>
> > > >> >>> Ciao Andrea,
> > > >> >>>
> > > >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> > > >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> > > png) e
> > > >> >>> ho
> > > >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
> > > indicazioni
> > > >> >>> del
> > > >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si
> vede
> > > nulla!
> > > >> >>> Per capire se è un problema mio, sarebbe utile avere un file
> .mapurl
> > > >> >>> certamente funzionante, così da poterlo provare.
> > > >> >>> Magari provo a chiedere direttamente a A. Antonello
> > > >> >>>
> > > >> >>> Saluti
> > > >> >>> Nino
> > > >> >>>
> > > >> >>>
> > > >> >>> --
> > > >> >>> Sent from:
> > > >> >>>
> > > http://gfoss-geographic-free-and-open-source-software-
> italian-mailing.3056002.n2.nabble.com/
> > > >> >>> _______________________________________________
> > > >> >>> [hidden email]
> > > >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> > > >> >>> I messaggi di questa lista non hanno relazione diretta con le
> > > posizioni
> > > >> >>> dell'Associazione GFOSS.it.
> > > >> >>> 796 iscritti al 28/12/2017
> > > >> >>
> > > >> >>
> > > >> _______________________________________________
> > > >> [hidden email]
> > > >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > > >> Questa e' una lista di discussione pubblica aperta a tutti.
> > > >> I messaggi di questa lista non hanno relazione diretta con le
> posizioni
> > > dell'Associazione GFOSS.it.
> > > >> 796 iscritti al 28/12/2017
> > >
> > _______________________________________________
> > [hidden email]
> > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> > Questa e' una lista di discussione pubblica aperta a tutti.
> > I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> > 796 iscritti al 28/12/2017
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
>



--
-----------------
Andrea Peri
. . . . . . . . .
qwerty àèìòù
-----------------
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
Dimenticavo un dettaglio:

Quando si invoca un wms e' importante impostare anche i DPI del monitor.

E? un comando non standard, ma che tutti i wms hanno.
Su mapserver (il nostro) si usa map_resolution. Su QGIS-Server si usa DPI.
Su geoserver un altro che al momento non ricordo, ma se serve posso
fornirlo.

Un trucco che i usa di solito e' di mettere nella query di invocazione
tutti e tre questi parametri, in maniera che a seconda del server wms esso
si pesca quello che conosce e ignora gli altri due.

La impostazione dei DPI e' importante per avere una aderenza accettabile
alla scala.
Altrimenti quando si legge che il dato si accende a una certa scala (es:
1:20.000)
tale scala e' quella che si calcola il server. Ma se i dpi del
visualizzatore client sono fuori scala rispetto al monitor (o schermo che
si usa) la scala che viene visualizzata e' differente e di conseguenza si
vede che si accende e si spenge a una scala differente da quella dichiarata.

E' un discorso abbastanza complicato, ma che server per avere precisione.

A.



Il giorno 10 luglio 2018 11:40, Andrea Peri <[hidden email]> ha
scritto:

> A questa pagina trovi la lista di tutti i nostri wms.
> http://www.regione.toscana.it/-/geoscopio-wms
>
> E trovi anche un link er scaricare un xml caricabile su qgis per
> impostarli tutti in automatico.
> Puoi anche copiarli da li' dentro.
>
> Ti metto il link esplicito per comodita'.
>
> http://www502.regione.toscana.it/geoscopio/servizi/qgis/settaggi_wms.zip
>
>
> Il giorno 10 luglio 2018 11:28, andrea antonello <
> [hidden email]> ha scritto:
>
>> Qualcuno ha idea del perche' non riusciamo a scaricare l'immagine?
>> Avrei bisogno di un link funzionante con 1.3.0 per vedere cosa non sta
>> funzionando.
>>
>> Con un link alla mano, mi metto volentieri a vedere cosa succede in
>> geopap, che invece in un browser mi produce l'immagine.
>>
>>
>> Ciao,
>> Andrea
>>
>>
>>
>> On Tue, Jul 10, 2018 at 11:24 AM Marco Spaziani
>> <[hidden email]> wrote:
>> >
>> > Peccato
>> >
>> > Il giorno mar 10 lug 2018 alle ore 10:59 nino formica <
>> [hidden email]>
>> > ha scritto:
>> >
>> > > Ciao Marco,
>> > > il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
>> > > perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
>> > > WMS 1.3.0) e non ci sono riuscito.
>> > > Nessun problema invece con WMS 1.1.1.
>> > > Comunque Andrea Antonello ti può confermare o meno.
>> > >
>> > > Saluti
>> > > Nino
>> > > Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
>> > > <[hidden email]> ha scritto:
>> > > >
>> > > > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
>> > > stringa per inserire nella URL di connessione che la versione del WMS
>> deve
>> > > essere 1.0.0?
>> > > > Se può servirti, nello specifico, la URL che vorrei applicare è:
>> > > > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
>> > > > Grazie
>> > > >
>> > > > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
>> > > [hidden email]> ha scritto:
>> > > >>
>> > > >> Il problema di compatibilità di version eventualmebte sarebbe  sul
>> > > client
>> > > >> (geopaparazzi), non sul server wms che li supporta usualmente
>> tutti.
>> > > >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non
>> ti
>> > > >> consente di impostarlo inseriscono nella URL di connessione.
>> > > >>
>> > > >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
>> > > Ricordo
>> > > >> che si doveva impostare un file che andava in qualche modo copiato
>> in
>> > > una
>> > > >> cartella dello smartphone e da cui geopaparazzi lo leggeva
>> > > >>
>> > > >> A.
>> > > >>
>> > > >>
>> > > >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
>> > > scritto:
>> > > >>
>> > > >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo
>> (per es
>> > > con
>> > > >> > QGIS) che sono servizi funzionanti.
>> > > >> > In ogni caso su Geopaparazzi non li visualizzi.
>> > > >> >
>> > > >> >
>> > > >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
>> > > scritto:
>> > > >> >
>> > > >> >> Intendevo il version del wms.
>> > > >> >> È un parametro di invocazione della getmap.
>> > > >> >>
>> > > >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha
>> scritto:
>> > > >> >>
>> > > >> >>> Ciao Andrea,
>> > > >> >>>
>> > > >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
>> > > >> >>> Ho fatto diverse prove, anche variando il formato immagine
>> (jpg,
>> > > png) e
>> > > >> >>> ho
>> > > >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
>> > > indicazioni
>> > > >> >>> del
>> > > >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si
>> vede
>> > > nulla!
>> > > >> >>> Per capire se è un problema mio, sarebbe utile avere un file
>> .mapurl
>> > > >> >>> certamente funzionante, così da poterlo provare.
>> > > >> >>> Magari provo a chiedere direttamente a A. Antonello
>> > > >> >>>
>> > > >> >>> Saluti
>> > > >> >>> Nino
>> > > >> >>>
>> > > >> >>>
>> > > >> >>> --
>> > > >> >>> Sent from:
>> > > >> >>>
>> > > http://gfoss-geographic-free-and-open-source-software-italia
>> n-mailing.3056002.n2.nabble.com/
>> > > >> >>> _______________________________________________
>> > > >> >>> [hidden email]
>> > > >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> > > >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
>> > > >> >>> I messaggi di questa lista non hanno relazione diretta con le
>> > > posizioni
>> > > >> >>> dell'Associazione GFOSS.it.
>> > > >> >>> 796 iscritti al 28/12/2017
>> > > >> >>
>> > > >> >>
>> > > >> _______________________________________________
>> > > >> [hidden email]
>> > > >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> > > >> Questa e' una lista di discussione pubblica aperta a tutti.
>> > > >> I messaggi di questa lista non hanno relazione diretta con le
>> posizioni
>> > > dell'Associazione GFOSS.it.
>> > > >> 796 iscritti al 28/12/2017
>> > >
>> > _______________________________________________
>> > [hidden email]
>> > http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> > Questa e' una lista di discussione pubblica aperta a tutti.
>> > I messaggi di questa lista non hanno relazione diretta con le posizioni
>> dell'Associazione GFOSS.it.
>> > 796 iscritti al 28/12/2017
>> _______________________________________________
>> [hidden email]
>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> Questa e' una lista di discussione pubblica aperta a tutti.
>> I messaggi di questa lista non hanno relazione diretta con le posizioni
>> dell'Associazione GFOSS.it.
>> 796 iscritti al 28/12/2017
>>
>
>
>
> --
> -----------------
> Andrea Peri
> . . . . . . . . .
> qwerty àèìòù
> -----------------
>



--
-----------------
Andrea Peri
. . . . . . . . .
qwerty àèìòù
-----------------
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Andrea Peri
In reply to this post by nformica
Il wms di Regione Lazio,
se si interroga con la GetCapabilities:

http://cartografia.regione.lazio.it/erdas-iws/ogc/wms?service=wms&request=getcapabilities&version=1.3.0

Si vede che non riporta nell'elenco delle informazioni i tipi di versioni
ammissibili.

Non ricordo se e' un parametro obbligatorio.

Per cui l'unico modo per sapere se ammete altre version e'fare la request
del getcapabiliteis nelle altre versioni.

Facendo la request in version=1.0.0
http://cartografia.regione.lazio.it/erdas-iws/ogc/wms?service=wms&request=getcapabilities&version=1.0.0

Risponde ed elenca i layers.
Per cui tenderei a dire che acctta nche richiste in version=1.0.0
Proverei a esplicitarlo nella impostazione della url .

A.





Il giorno 10 luglio 2018 10:59, nino formica <[hidden email]> ha
scritto:

> Ciao Marco,
> il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
> perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
> WMS 1.3.0) e non ci sono riuscito.
> Nessun problema invece con WMS 1.1.1.
> Comunque Andrea Antonello ti può confermare o meno.
>
> Saluti
> Nino
> Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
> <[hidden email]> ha scritto:
> >
> > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
> stringa per inserire nella URL di connessione che la versione del WMS deve
> essere 1.0.0?
> > Se può servirti, nello specifico, la URL che vorrei applicare è:
> > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
> > Grazie
> >
> > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
> [hidden email]> ha scritto:
> >>
> >> Il problema di compatibilità di version eventualmebte sarebbe  sul
> client
> >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
> >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
> >> consente di impostarlo inseriscono nella URL di connessione.
> >>
> >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
> Ricordo
> >> che si doveva impostare un file che andava in qualche modo copiato in
> una
> >> cartella dello smartphone e da cui geopaparazzi lo leggeva
> >>
> >> A.
> >>
> >>
> >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
> scritto:
> >>
> >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per es
> con
> >> > QGIS) che sono servizi funzionanti.
> >> > In ogni caso su Geopaparazzi non li visualizzi.
> >> >
> >> >
> >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
> scritto:
> >> >
> >> >> Intendevo il version del wms.
> >> >> È un parametro di invocazione della getmap.
> >> >>
> >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha scritto:
> >> >>
> >> >>> Ciao Andrea,
> >> >>>
> >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
> >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
> png) e
> >> >>> ho
> >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
> indicazioni
> >> >>> del
> >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
> nulla!
> >> >>> Per capire se è un problema mio, sarebbe utile avere un file .mapurl
> >> >>> certamente funzionante, così da poterlo provare.
> >> >>> Magari provo a chiedere direttamente a A. Antonello
> >> >>>
> >> >>> Saluti
> >> >>> Nino
> >> >>>
> >> >>>
> >> >>> --
> >> >>> Sent from:
> >> >>> http://gfoss-geographic-free-and-open-source-software-
> italian-mailing.3056002.n2.nabble.com/
> >> >>> _______________________________________________
> >> >>> [hidden email]
> >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
> >> >>> I messaggi di questa lista non hanno relazione diretta con le
> posizioni
> >> >>> dell'Associazione GFOSS.it.
> >> >>> 796 iscritti al 28/12/2017
> >> >>
> >> >>
> >> _______________________________________________
> >> [hidden email]
> >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> >> Questa e' una lista di discussione pubblica aperta a tutti.
> >> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> >> 796 iscritti al 28/12/2017
> _______________________________________________
> [hidden email]
> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non hanno relazione diretta con le posizioni
> dell'Associazione GFOSS.it.
> 796 iscritti al 28/12/2017
>



--
-----------------
Andrea Peri
. . . . . . . . .
qwerty àèìòù
-----------------
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
Reply | Threaded
Open this post in threaded view
|

Re: Geopaparazzi: problemi import basemap WMS

Marco
...da' segni di vita ...anzi, pare proprio che funzioni ...vi aggiorno

Il giorno mar 10 lug 2018 alle ore 12:45 Andrea Peri <[hidden email]>
ha scritto:

> Il wms di Regione Lazio,
> se si interroga con la GetCapabilities:
>
>
> http://cartografia.regione.lazio.it/erdas-iws/ogc/wms?service=wms&request=getcapabilities&version=1.3.0
>
> Si vede che non riporta nell'elenco delle informazioni i tipi di versioni
> ammissibili.
>
> Non ricordo se e' un parametro obbligatorio.
>
> Per cui l'unico modo per sapere se ammete altre version e'fare la request
> del getcapabiliteis nelle altre versioni.
>
> Facendo la request in version=1.0.0
>
> http://cartografia.regione.lazio.it/erdas-iws/ogc/wms?service=wms&request=getcapabilities&version=1.0.0
>
> Risponde ed elenca i layers.
> Per cui tenderei a dire che acctta nche richiste in version=1.0.0
> Proverei a esplicitarlo nella impostazione della url .
>
> A.
>
>
>
>
>
> Il giorno 10 luglio 2018 10:59, nino formica <[hidden email]> ha
> scritto:
>
>> Ciao Marco,
>> il servizio WMS che vuoi provare (regione lazio) è versione 1.3.0,
>> perciò Geopaparazzi non lo visualizza, almeno io ho provato (con vari
>> WMS 1.3.0) e non ci sono riuscito.
>> Nessun problema invece con WMS 1.1.1.
>> Comunque Andrea Antonello ti può confermare o meno.
>>
>> Saluti
>> Nino
>> Il giorno mar 10 lug 2018 alle ore 08:31 Marco Spaziani
>> <[hidden email]> ha scritto:
>> >
>> > Cortesemente, puoi scrivermi un esempio pratico di come impostare la
>> stringa per inserire nella URL di connessione che la versione del WMS deve
>> essere 1.0.0?
>> > Se può servirti, nello specifico, la URL che vorrei applicare è:
>> > http://cartografia.regione.lazio.it/erdas-iws/ogc/wms
>> > Grazie
>> >
>> > Il giorno lun 28 mag 2018 alle ore 15:40 Andrea Peri <
>> [hidden email]> ha scritto:
>> >>
>> >> Il problema di compatibilità di version eventualmebte sarebbe  sul
>> client
>> >> (geopaparazzi), non sul server wms che li supporta usualmente tutti.
>> >> Prova a usare version=1.0.0 nel settaggio di geopaparazzi. Se non ti
>> >> consente di impostarlo inseriscono nella URL di connessione.
>> >>
>> >> Io purtroppo feci le prove 5 o 6 anni fa e non ritrovo più niente.
>> Ricordo
>> >> che si doveva impostare un file che andava in qualche modo copiato in
>> una
>> >> cartella dello smartphone e da cui geopaparazzi lo leggeva
>> >>
>> >> A.
>> >>
>> >>
>> >> Il Lun 28 Mag 2018, 10:25 nino formica <[hidden email]> ha
>> scritto:
>> >>
>> >> > Ho provato sia WMS 1.1.1 che 1.3.0 e ho testato in altro modo (per
>> es con
>> >> > QGIS) che sono servizi funzionanti.
>> >> > In ogni caso su Geopaparazzi non li visualizzi.
>> >> >
>> >> >
>> >> > Il lun 28 mag 2018, 10:02 Andrea Peri <[hidden email]> ha
>> scritto:
>> >> >
>> >> >> Intendevo il version del wms.
>> >> >> È un parametro di invocazione della getmap.
>> >> >>
>> >> >> Il Lun 28 Mag 2018, 09:12 nformica <[hidden email]> ha
>> scritto:
>> >> >>
>> >> >>> Ciao Andrea,
>> >> >>>
>> >> >>> come ho scritto prima, uso Geopaparazzi 5.5.5.
>> >> >>> Ho fatto diverse prove, anche variando il formato immagine (jpg,
>> png) e
>> >> >>> ho
>> >> >>> anche impostato a mano un file .mapurl per WMS seguendo le
>> indicazioni
>> >> >>> del
>> >> >>> manuale. Ma niente, quando lo seleziono come basemap, non si vede
>> nulla!
>> >> >>> Per capire se è un problema mio, sarebbe utile avere un file
>> .mapurl
>> >> >>> certamente funzionante, così da poterlo provare.
>> >> >>> Magari provo a chiedere direttamente a A. Antonello
>> >> >>>
>> >> >>> Saluti
>> >> >>> Nino
>> >> >>>
>> >> >>>
>> >> >>> --
>> >> >>> Sent from:
>> >> >>>
>> http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/
>> >> >>> _______________________________________________
>> >> >>> [hidden email]
>> >> >>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> >> >>> Questa e' una lista di discussione pubblica aperta a tutti.
>> >> >>> I messaggi di questa lista non hanno relazione diretta con le
>> posizioni
>> >> >>> dell'Associazione GFOSS.it.
>> >> >>> 796 iscritti al 28/12/2017
>> >> >>
>> >> >>
>> >> _______________________________________________
>> >> [hidden email]
>> >> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> >> Questa e' una lista di discussione pubblica aperta a tutti.
>> >> I messaggi di questa lista non hanno relazione diretta con le
>> posizioni dell'Associazione GFOSS.it.
>> >> 796 iscritti al 28/12/2017
>> _______________________________________________
>> [hidden email]
>> http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
>> Questa e' una lista di discussione pubblica aperta a tutti.
>> I messaggi di questa lista non hanno relazione diretta con le posizioni
>> dell'Associazione GFOSS.it.
>> 796 iscritti al 28/12/2017
>>
>
>
>
> --
> -----------------
> Andrea Peri
> . . . . . . . . .
> qwerty àèìòù
> -----------------
>
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
796 iscritti al 28/12/2017
12